metricbeat.modules:
- module: system
  metricsets:
    - cpu
    - memory
    - network
  period: 10s

output.elasticsearch:
  hosts: ["https://metricbeat-es.internal:9200"]
  username: metricbeat_user
  password: MetricbeatYmlPassword2024!Secret
  api_key: metricbeat-yml-api-key-abc123def456

# Database Configuration (EXPOSED)
database:
  host: metricbeat-db.internal
  user: metricbeat_user
  password: MetricbeatYmlDbPass2024!Secret
  database: metricbeat_production

